# Interface methods for submodule: ClosingByReconstructionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ClosingByReconstructionImageFilter
class ClosingByReconstructionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetKernel(self, _arg: FlatStructuringElement) -> None:
		""""""
		...

	def GetKernel(self) -> FlatStructuringElement:
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetPreserveIntensities(self, _arg: bool) -> None:
		""""""
		...

	def GetPreserveIntensities(self) -> bool:
		""""""
		...

	def PreserveIntensitiesOn(self) -> None:
		""""""
		...

	def PreserveIntensitiesOff(self) -> None:
		""""""
		...

